use crate::energy::energy_actor;
use crate::server::custom_error::HttpResult;
use crate::server::WebEnergyActor;
use actix_web::HttpResponse;

/// Get the full list of relays
pub async fn get_list(actor: WebEnergyActor) -> HttpResult {
    let list = actor.send(energy_actor::GetRelaysList).await?;
    Ok(HttpResponse::Ok().json(list))
}
